package totaylor;

import java.io.File;
import java.io.FileInputStream;
import java.util.HashMap;

import org.hornetq.api.core.TransportConfiguration;
import org.hornetq.api.core.client.ClientMessage;
import org.hornetq.api.core.client.ClientProducer;
import org.hornetq.api.core.client.ClientSession;
import org.hornetq.api.core.client.ClientSessionFactory;
import org.hornetq.api.core.client.HornetQClient;
import org.hornetq.api.core.client.ServerLocator;
import org.hornetq.core.remoting.impl.netty.NettyConnectorFactory;
import org.hornetq.core.remoting.impl.netty.TransportConstants;

public class Send {

    public static void main(String[] args) {
        HashMap<String, Object> params = new HashMap<String, Object>();
        params.put(TransportConstants.HOST_PROP_NAME, Node1.ADDRESS);
        params.put(TransportConstants.PORT_PROP_NAME, Node1.PORT);
        ServerLocator locator = HornetQClient.createServerLocatorWithoutHA(new TransportConfiguration(NettyConnectorFactory.class.getName(), params));
        locator.setAckBatchSize(1);

        ClientSessionFactory csf = null;
        try {
            csf = locator.createSessionFactory();
            ClientSession session = csf.createSession();
            ClientProducer producer = session.createProducer("queue1");

            ClientMessage msg = session.createMessage(true);
            msg.setTimestamp(System.currentTimeMillis());
            msg.putStringProperty("name", "helloworld");
            msg.setBodyInputStream(new FileInputStream(new File("g:/t.jar")));

            producer.send(msg);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (csf != null) {
                csf.close();
            }
        }
    }
}
